---
title: Howto doas
categories: openbsd
...

## Documentation

* <http://man.openbsd.org/cgi-bin/man.cgi/OpenBSD-current/man5/doas.conf.5>

doas (abréviation faire en tant que) est un programme développé pour le système d'exploitation OpenBSD permettant d'accorder des droits à certains utilisateurs. Elle donne la possibilité de lancer une commande en tant que super utilisateur (root) ou utilisateur différent.

Cet outil a vocation de remplacer sudo. Ce dernier, bien que plus complet, induit une certaine complexité jugée inutile dans le système de base par les developpeurs du projet OpenBSD.

### Liens utiles

* <http://www.tedunangst.com/flak/post/doas-mastery>
* <http://www.tedunangst.com/flak/post/doas>


## Configuration

On configure `doas(1)` via le fichier `/etc/doas.conf(5)`.

Une règle aura la forme suivante :

| action | option | utilisateur concerné | en tant que | commande |
|---|---|---|---|---|
| *permit* | *nopass* | *foo* | *as bar* | *cmd /chemin/vers/commande* |


**^action^** ^:^ ^permit^ ^/^ ^deny^

**^option^** ^:^ ^nopass^ ^/^ ^persist^ ^/^ ^keepenv^ ^/^ ^setenv^ ^{^ ^[variable…]^ ^}^


## Exemple de configuration

~~~
permit nopass root
permit setenv {ENV PS1 SSH_AUTH_SOCK SSH_TTY} :wheel
permit nopass _nrpe cmd /usr/local/libexec/nagios/check_ipsecctl.sh
~~~

